aboutsummaryrefslogtreecommitdiffstats
path: root/testing/tomcat-native/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-10-10 23:48:51 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-10-11 00:07:17 +0200
commitbdd039b389b7c6ba08fddc0266910f3232a6b211 (patch)
tree0406ce3b4d49046909c0223f2d11bdf98e930c58 /testing/tomcat-native/APKBUILD
parent29f4e4e49d6cec002faff9f62616ffde52b1137a (diff)
downloadaports-bdd039b389b7c6ba08fddc0266910f3232a6b211.tar.gz
aports-bdd039b389b7c6ba08fddc0266910f3232a6b211.tar.bz2
aports-bdd039b389b7c6ba08fddc0266910f3232a6b211.tar.xz
testing/tomcat-native: upgrade to 1.2.10
Diffstat (limited to 'testing/tomcat-native/APKBUILD')
-rw-r--r--testing/tomcat-native/APKBUILD36
1 files changed, 17 insertions, 19 deletions
diff --git a/testing/tomcat-native/APKBUILD b/testing/tomcat-native/APKBUILD
index 1795c3ca4b..8d69eba1a4 100644
--- a/testing/tomcat-native/APKBUILD
+++ b/testing/tomcat-native/APKBUILD
@@ -1,22 +1,19 @@
# Contributor: Sean Summers <seansummers@gmail.com>
# Maintainer:
pkgname=tomcat-native
-pkgver=1.1.34
+pkgver=1.2.10
pkgrel=0
-pkgdesc="native resources optional component for Apache Tomcat"
+pkgdesc="Native resources optional component for Apache Tomcat"
url="http://tomcat.apache.org/native-doc/"
arch="all"
-license="ASL 2.0"
+license="ASL-2.0"
depends="openjdk7-jre-base"
-depends_dev="apr-dev openssl-dev openjdk7"
-makedepends="${depends_dev}"
-install=""
-subpackages="${pkgname}-dev"
-source="http://www-eu.apache.org/dist/tomcat/tomcat-connectors/native/${pkgver}/source/${pkgname}-${pkgver}-src.tar.gz
- ${install}
- "
+depends_dev="openssl-dev openjdk7"
+makedepends="$depends_dev apr-dev"
+subpackages="$pkgname-dev"
+source="http://www-eu.apache.org/dist/tomcat/tomcat-connectors/native/$pkgver/source/$pkgname-$pkgver-src.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver-src/native"
-builddir="${srcdir}/${pkgname}-${pkgver}-src/jni/native"
build() {
cd "$builddir"
./configure --with-apr=/usr/bin/apr-1-config \
@@ -27,16 +24,17 @@ build() {
package() {
cd "$builddir"
- make DESTDIR="${pkgdir}" install || return 1
- rm -f "${pkgdir}/usr/lib/libtcnative-1.la" || return 1
- rmdir "${pkgdir}/usr/bin" || return 1
+
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/libtcnative-1.la || return 1
+ rmdir "$pkgdir"/usr/bin
}
dev() {
- default_dev
- mv "${subpkgdir}/usr/lib/libtcnative-1.so" "${pkgdir}/usr/lib/" || return 1
+ default_dev || return 1
+ mv "$subpkgdir"/usr/lib/libtcnative-1.so "$pkgdir"/usr/lib/
}
-md5sums="f88cf00554a596cf0e80765f3a15705e tomcat-native-1.1.34-src.tar.gz"
-sha256sums="db5d7fec734aab6b5a999fe71fcd22a7acdd7cf6b2d68bec936b38bed1bac367 tomcat-native-1.1.34-src.tar.gz"
-sha512sums="0f9370009e04c8dbf6357261e6e007ebabe2f391364aea8accc6ca99a4cb1cc96b2d6035f362a47410abd6074a83defa684d9205fd29339889c711cd9f75212d tomcat-native-1.1.34-src.tar.gz"
+md5sums="7529a2240f1405f206d2c47dce2f5e6d tomcat-native-1.2.10-src.tar.gz"
+sha256sums="553a796f1efb9d52a22a24636baca45ae265327f2a2d2f3169436b4012df9c35 tomcat-native-1.2.10-src.tar.gz"
+sha512sums="ab12525e031f4b0221634bde0b3af826c2231a8655032917bd09fe26075cc8b9bce7a7c5de369f525230155d50ec41ff84fb074c45ef9f34319f910e907d66a6 tomcat-native-1.2.10-src.tar.gz"